Updates the job_estimated_quantity object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "cf962878-bc79-4599-a631-85e387946ca2",
"estimated_quantity": 2.0,
"article_id": "48b67957-3f45-4db2-b923-01cc9531423d",
"article_code": "sample string 4",
"article": {
"id": "56a5fd9a-6778-4ffe-bc5f-7a00bad95e76",
"article_category_id": "f7e99ab4-8840-48fa-b385-7c87748400fd",
"article_category": {
"id": "d84a84b3-de05-45a7-ac88-09c08ceaf1f9",
"parent_id": "319cec0e-0360-41b5-bc4b-4b106eee113f",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-13T11:22:55.4069864+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "4785b891-0786-4d44-8ce1-5390b797e35a",
"article_group_1_code": "sample string 5",
"article_group_2_id": "4dbab6db-1855-4cec-87f0-f3cee0963498",
"article_group_2_code": "sample string 7",
"article_group_3_id": "744ea827-f43a-4771-8e64-62b2ceee4a8d",
"article_group_3_code": "sample string 9",
"article_group_4_id": "de46a231-0107-4371-8f0d-a56a870ddf1c",
"article_group_4_code": "sample string 11",
"article_group_5_id": "1dbcc4ad-0b61-44ba-9cfd-778fd3524dab",
"article_group_5_code": "sample string 13",
"article_group_6_id": "97700e7b-a148-4ad9-84c1-c1650d7c237a",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-13T11:22:55.4069864+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-13T11:22:55.4069864+00:00",
"date_update": "2026-11-13T11:22:55.4069864+00:00",
"modified_dateutc": "2026-11-13T11:22:55.4069864+00:00",
"article_color_id": "b6f45192-a765-4710-bd5c-19c9d33f49ff",
"article_color_code": "sample string 38",
"article_color": {
"id": "9fbf9440-c3e5-4b39-91e5-b7ae4018f9c0",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-13T11:22:55.4069864+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "1c04fe92-ede7-4724-b9e3-557c94e815e9",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "e37bddfe-ecbc-4640-b962-5f76dd29c7e0",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "6bf68766-ed11-43b9-bd8e-3444e1e9f958",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "3b46b7b9-4ee1-437b-8715-85bafe35b579",
"_parent_id": "7c41d3dd-68f3-4cfb-b785-8282676adf50",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "3743d4fb-844b-4732-9354-8ccb415c0367",
"project_reference_back_office": "sample string 5",
"project": {
"id": "5ca4ea15-866c-4b70-ab4b-3334b9bfe401",
"_parent_id": "e015d32d-df97-4c01-a89d-beec6f454709",
"root_parent_id": "1c11ad33-8d89-4f8d-a4ca-1791a25e682e",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "ded73987-6d3a-4077-bfee-4b89fe7595e2",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "77aa0f2a-2ca6-47b0-949f-a3bb0d2a053b",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "2158a180-15b3-4353-9754-e3bb4103ecbd",
"_parent_code": "sample string 6",
"sales_organization_id": "a9ec975d-319d-4734-a691-6aff365b9ec5",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "18dc4c7e-6145-4d3c-83d2-71c58f87e2bf",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "61bfb322-5f40-4f72-8b2b-421c65721195",
"db_currency_id": "11aff411-f475-49dd-b357-7fc3a7b5223e",
"db_language_id": "5d3f6cc6-1961-4ef1-87d0-0347b7b8c444",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00"
},
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00"
},
"equipment_model_id": "9bdffcdb-2a8e-46e2-9c99-59cff87ca99f",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "ab3c5ba8-d1c9-44f2-876d-5ef13eb5873a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "c97a6d8c-a2bb-44a3-a07d-7782d957348c",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "c8fa76f4-ee12-47f2-9b14-122dab6589a4",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "e89e0aca-d976-4349-8f0f-6f79a1cd2efe",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "18dc4c7e-6145-4d3c-83d2-71c58f87e2bf",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "61bfb322-5f40-4f72-8b2b-421c65721195",
"db_currency_id": "11aff411-f475-49dd-b357-7fc3a7b5223e",
"db_language_id": "5d3f6cc6-1961-4ef1-87d0-0347b7b8c444",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00"
},
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00"
},
"equipment_family_id": "b52e1e76-d342-4d36-8c63-a251e28defd1",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "77aa0f2a-2ca6-47b0-949f-a3bb0d2a053b",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "2158a180-15b3-4353-9754-e3bb4103ecbd",
"_parent_code": "sample string 6",
"sales_organization_id": "a9ec975d-319d-4734-a691-6aff365b9ec5",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "18dc4c7e-6145-4d3c-83d2-71c58f87e2bf",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "61bfb322-5f40-4f72-8b2b-421c65721195",
"db_currency_id": "11aff411-f475-49dd-b357-7fc3a7b5223e",
"db_language_id": "5d3f6cc6-1961-4ef1-87d0-0347b7b8c444",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00"
},
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00"
},
"date_in_production_since": "2026-11-13T11:22:55.4175932+00:00",
"date_out_of_production_since": "2026-11-13T11:22:55.4175932+00:00",
"date_end_support": "2026-11-13T11:22:55.4175932+00:00",
"sales_organization_id": "16dbd396-0b8e-418c-b3c3-73cf47bcd697",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "18dc4c7e-6145-4d3c-83d2-71c58f87e2bf",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "61bfb322-5f40-4f72-8b2b-421c65721195",
"db_currency_id": "11aff411-f475-49dd-b357-7fc3a7b5223e",
"db_language_id": "5d3f6cc6-1961-4ef1-87d0-0347b7b8c444",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00"
},
"project_status_id": "d73da0cc-7ead-46c8-94c7-385b65266816",
"project_status_code": "sample string 10",
"project_status": {
"id": "e65ae3ea-a7a5-4dd5-9227-af0a297c059f",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "4769aeb4-f223-4161-b962-0eb8bc629124",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "18dc4c7e-6145-4d3c-83d2-71c58f87e2bf",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "61bfb322-5f40-4f72-8b2b-421c65721195",
"db_currency_id": "11aff411-f475-49dd-b357-7fc3a7b5223e",
"db_language_id": "5d3f6cc6-1961-4ef1-87d0-0347b7b8c444",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00"
},
"company_id": "5e9fbaed-3edd-4dcd-8237-871bbd9c9bd0",
"company_code": "sample string 12",
"db_address_id": "2ce6ea6d-fde6-46e8-8633-889062876069",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "0df5c238-2a95-48da-a077-c1270e11912d",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "68c8ad5f-a1cf-4bbb-a3a9-1bf38fcf85af",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-13T11:22:55.4175932+00:00",
"date_create": "2026-11-13T11:22:55.4175932+00:00",
"date_update": "2026-11-13T11:22:55.4175932+00:00",
"updated_by_user_id": "1cbf6d7d-4f92-4e45-bc27-59cccdf07697",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-13T11:22:55.4175932+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-13T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-13T11:22:55.4175932+00:00",
"date_last_job": "2026-11-13T11:22:55.4175932+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-13T11:22:55.4175932+00:00",
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00",
"is_mobile_installation": true
},
"job_type_id": "9cd756a8-e406-4416-83d3-15982802f86d",
"job_type_code": "sample string 7",
"job_type": {
"id": "24709827-5b6a-4fd4-bd31-039c60f905c5",
"name": "sample string 2",
"sales_organization_id": "ee4ee026-af18-43d4-abdc-5e03d864d0b3",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00",
"code": "sample string 7"
},
"job_priority_id": "abcda232-a290-4d1c-a075-7a738d0ce1e0",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "17d4a570-bd66-4849-bfde-d197a675578b",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "8c57f15d-e55d-42ac-a337-5d732cbad12e",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "18dc4c7e-6145-4d3c-83d2-71c58f87e2bf",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "61bfb322-5f40-4f72-8b2b-421c65721195",
"db_currency_id": "11aff411-f475-49dd-b357-7fc3a7b5223e",
"db_language_id": "5d3f6cc6-1961-4ef1-87d0-0347b7b8c444",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00"
},
"job_status_id": "069d5df8-2d09-45d2-801a-ca12a92eb8be",
"job_status_code": "sample string 11",
"db_address_id": "da8aab31-7f04-4d66-b650-506470b7e6ca",
"contact_id": "1668bf4a-0868-42de-8d69-b2a55d10bc4e",
"requested_by_company_id": "d82cad68-cf53-4c47-8b33-1c862a834353",
"requested_by_contact_id": "1ae2933d-b424-4061-9982-2f26c65b35aa",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-13T11:22:55.4175932+00:00",
"due_date": "2026-11-13T11:22:55.4175932+00:00",
"date_create": "2026-11-13T11:22:55.4175932+00:00",
"date_update": "2026-11-13T11:22:55.4175932+00:00",
"date_closed": "2026-11-13T11:22:55.4175932+00:00",
"suggested_user_id": "cadc2590-516e-468e-8614-02f0fa29c9d2",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "3e975f9e-3bf5-4927-aec6-5d9052fe1dfa",
"db_language_id": "9534edba-31b2-48b5-a6ec-9158683e1d95",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-13T11:22:55.4175932+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "53d248a6-ca67-425b-9c39-54448537ad19",
"sales_organization": {
"id": "18dc4c7e-6145-4d3c-83d2-71c58f87e2bf",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "61bfb322-5f40-4f72-8b2b-421c65721195",
"db_currency_id": "11aff411-f475-49dd-b357-7fc3a7b5223e",
"db_language_id": "5d3f6cc6-1961-4ef1-87d0-0347b7b8c444",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "20dbcc43-b454-44f2-ae40-a2bed6d40e3b",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "96456d28-d2c9-464c-a1d0-5e13d3230d78",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "70dec07e-ac04-477b-bfcf-f0b69908b815"
},
"suggested_date_start": "2026-11-13T11:22:55.4175932+00:00",
"skill_id": "37174645-31a5-45e9-b653-adf4045617df",
"skill_code": "sample string 32",
"skill": {
"id": "f5f2a1c9-d711-4bd3-87fe-67927ca15521",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "88efced7-492b-49c4-8752-2b29034b0cd2",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "18dc4c7e-6145-4d3c-83d2-71c58f87e2bf",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "61bfb322-5f40-4f72-8b2b-421c65721195",
"db_currency_id": "11aff411-f475-49dd-b357-7fc3a7b5223e",
"db_language_id": "5d3f6cc6-1961-4ef1-87d0-0347b7b8c444",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00"
},
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "0827cd21-3488-43de-ae8a-4bb7f7d7e376",
"date_reported_by_company": "2026-11-13T11:22:55.4175932+00:00",
"id2": 36,
"company_id": "3f4b3042-eceb-4d2d-b271-02a6e528cfee",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "91554384-e794-47c0-a193-fecabd27c307",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-13T11:22:55.4175932+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.